#!/bin/sh
cleanup() {
    rm -Rf $TMPFILE
	echo "Terminated."
	exit 1
}

parse () {
TMPSTR=`cat $TMPFILE/$GETPAGE  \
	| awk '/<table width="100%" cellpadding="0" cellspacing="5">/, /<\/table>/ { print}' | \
	tr -d '\t\r' | sed -e 's/<td>//g' -e '/<a href=/d' -e 's/<td class="dat">/%/g' -e 's/<\/td>//g' -e 's/<\/tr>//g' \
	-e 's/<\/table>//g' -e 's/<tr>//g' -e 's/<index>//g' -e 's/<\/index>//g'  -e '/^$/d' -e '/^ $/d' \
	-e 's/.*%.*/%/g' -e 's/&lt;/</g' -e 's/&gt;/>/g' -e 's/&quot;/"/g'|
	tr -d '\n' | \
	sed -e 's/%%%/%/g' -e 's/%%/%/g' -e 's/%%/%/g' | \
	iconv -c -f cp1251 -t koi8-r | sed -e 's/<br>//g' -e s/%/%/g`
	IFS=''
	for str in $TMPSTR; do
		if [ -z `echo $str | grep '<SCRIPT'` ]; then
			echo $str
		fi
	done
	unset IFS
}


trap cleanup 1 2 3 4 5 6 7 8 10 11 12 13 14 15 16 21 22 23 24 25 26 27 28 \
             30 31

TMPFILE=`mktemp -t fortupdate` || exit 1
RESULT=`mktemp -t fortupdate` || exit 1

BASEURL='http://bash.org.ru'
GETPAGE='browse.php';

wget -P $TMPFILE "$BASEURL/$GETPAGE" 2> /dev/null 1> /dev/null

NUMPAGES="`cat $TMPFILE/$GETPAGE | grep '<option>' | sed -e 's/option>//g' | tr -d '</'`"
parse > ${RESULT}


for num in ${NUMPAGES}; do
	wget -O $TMPFILE/$GETPAGE  "$BASEURL/$GETPAGE?num=$num" 2> /dev/null 1> /dev/null
	parse >> ${RESULT}
done

strfile -s -r -c% ${RESULT}
mv ${RESULT}  /usr/local/share/games/fortune/rus/fortune-bashorgru
mv ${RESULT}.dat /usr/local/share/games/fortune/rus/fortune-bashorgru.dat
chown root:wheel /usr/local/share/games/fortune/rus/fortune-bashorgru*
chmod 644 /usr/local/share/games/fortune/rus/fortune-bashorgru*

rm -Rf ${TMPFILE} ${RESULT} ${RESULT}.dat
